/shorts.v1alpha1.StockService/GetStockSignalsGetStockSignals
Get a stock's reputation/risk signals (adverse: court/sanctions/complaints; positive: awards/press)
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
max signals per polarity (default 10) (proto int32)
(proto string)
Responses
(proto shorts.v1alpha1.StockSignal)
A single reputation/risk signal for a stock
(proto shorts.v1alpha1.StockSignal)
A single reputation/risk signal for a stock
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockSignals" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"stockCode": "string"
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockSignals" \
-H "Content-Type: application/json" \
-d '{
"limit": 0,
"stockCode": "string"
}'